dnsjit.lib.base64url(3)

NAME
dnsjit.lib.base64url - Utility library to convert data to base64url format

SYNOPSIS
  local base64url = require("dnsjit.lib.base64url")

  Encoding and decoding lua strings
  local encoded = base64url.encode("abcd")
  local decoded = base64url.decode(encoded)

  Encoding C byte arrays
  local pl -- pl is core.object.payload
  local encoded = base64url.encode(pl.payload, pl.len)

DESCRIPTION
Encode and decode data to/from base64url format.

  Functions

Base64Url.encode(data, data_len)
    Encode lua string or C byte array to base64url representation. The input string may contain non-printable characters.

    data_len is length of the input data (optional for lua strings, required for C byte arrays).

Base64Url.decode(data)
    Decode a base64url encoded lua string. The output string may contain non-printable characters.

SEE ALSO
dnsjit.core.object.payload(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net